POST/shorts.v1alpha1.StockService/GetStockVerdict

GetStockVerdict

Get a composite bear-vs-bull verdict for a single stock

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Request for GetStockVerdict RPC

productCodestring

(proto string)

Responses

200Success
application/json
object

Response for GetStockVerdict RPC

componentsarray

(proto shorts.v1alpha1.VerdictComponent)

Array Items:
compositenumber <double>

-100..100, bullish positive (proto double)

labelstring [VERDICT_LABEL_UNSPECIFIED, VERDICT_LABEL_STRONG_BEARISH, VERDICT_LABEL_BEARISH, VERDICT_LABEL_NEUTRAL, VERDICT_LABEL_BULLISH, VERDICT_LABEL_STRONG_BULLISH]

(proto shorts.v1alpha1.VerdictLabel)

productCodestring

(proto string)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.StockService/GetStockVerdict" \
  -H "Content-Type: application/json" \
  -d '{
  "productCode": "string"
}'